﻿/* CSS STYLE FOR THE TOP NAV MENU */

#divNavMenu {
    background-color: green;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
}


#navMenuUL {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
}

#navMenuUL li {
    margin-right: 20px;
}

#navMenuUL li a {
    color: white;
    text-decoration: none;
    transition: color 0.3s;
}

    #navMenuUL li a:hover {
        color: lightgreen;
    }

.checkbtn {
    font-size: 30px;
    color: white;
    cursor: pointer;
    display: none;
}

#check {
    display: none;
}

@media (max-width: 768px) {
    .checkbtn {
        display: block;
        order: 1;
        margin-right: 20px;
    }

    #navMenuUL {
        position: fixed;
        top: 80px;
        right: -100%;
        background-color: green;
        width: 100%;
        height: 100vh;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        transition: all 0.3s;
    }

    #navMenuUL li {
        margin: 20px 0;
    }

    #navMenuUL li a {
        font-size: 20px;
    }

    #check:checked ~ #navMenuUL {
        right: 0;
    }
}
